
QGIS Application - Bug report #19713

Connection to Oracle is very slow QGIS 3.x

2018-08-27 05:12 PM - Carlos Lopez Quintanilla

Status: Closed

Priority: High

Assignee:

Category: Data Provider/Oracle

Affected QGIS version:3.2.2 Regression?: Yes

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 27538

Description

We have QGIS 2.18 with several maps with connection to Oracle, in Barcelona's town hall.

The connection is fine, and the time to load a layer typical is a few seconds.

But, We're testing to implementing QGIS 3.2, but the connection to Oracle is so slow.

The time to load the same layer is 45 minutes, it's not acceptable for users.

we have a standalone application developed in python, using api from QGIS 3.2, in this case the connection is very fine.

So, we think that the problem is the GUI of QGIS 3.x, it spends a lot of time to load one layer.

We have a computer to test here in town hall, if assigned person need to test or have questions no doubts to contact with us.

We will facilitate remote access, if necessary

Carlos López Quintanilla: carlos.lopez@psig.es

Xavier Llinares: jllinares@bcn.cat

History

#1 - 2018-08-27 05:58 PM - Regis Haubourg

Hi, 

do you have any oracle log tracking what queries are issued by QGIS and how long they take? This could help to see directly if the queries are different

with those issued by 2.18.

#2 - 2018-08-27 06:23 PM - Carlos Lopez Quintanilla

We don't have any log, because not crash, it spends a lot of time, but not crash!

Once layer are in canvas, the behavior is correct.

#3 - 2018-08-27 08:49 PM - Jürgen Fischer

Are you using the "use estimated metadata" setting?

#4 - 2018-08-27 11:27 PM - Luigi Pirelli
Carlos Lopez Quintanilla wrote:

We don't have any log, because not crash, it spends a lot of time, but not crash!

Once layer are in canvas, the behavior is correct.

if you need a log try to use master and view log with DbgView windows application...

#5 - 2018-08-28 10:09 AM - Carlos Lopez Quintanilla

Jürgen Fischer wrote:

Are you using the "use estimated metadata" setting?

"estimatedMetadata" = False

#6 - 2018-08-28 10:51 AM - Jürgen Fischer

Carlos Lopez Quintanilla wrote:

Jürgen Fischer wrote:

Are you using the "use estimated metadata" setting?

"estimatedMetadata" = False

Then enable it and check again.  You should see better performance - esp. if you're using large datasets.

#7 - 2018-08-28 11:30 AM - Carlos Lopez Quintanilla

Jürgen Fischer wrote:

Carlos Lopez Quintanilla wrote:

Jürgen Fischer wrote:

Are you using the "use estimated metadata" setting?

"estimatedMetadata" = False

Then enable it and check again.  You should see better performance - esp. if you're using large datasets.

Done, but the performance is the same that before

#8 - 2018-08-28 11:31 AM - Carlos Lopez Quintanilla
Jürgen Fischer wrote:

Carlos Lopez Quintanilla wrote:

Jürgen Fischer wrote:

Are you using the "use estimated metadata" setting?

"estimatedMetadata" = False

Then enable it and check again.  You should see better performance - esp. if you're using large datasets.

Done, but the performance is the same that before

#9 - 2018-08-28 11:34 AM - Carlos Lopez Quintanilla

- File URBANISME_QCOLOR (Oracle PROD).qgs added

- File DebugView.LOG added

Carlos Lopez Quintanilla wrote:

Jürgen Fischer wrote:

Carlos Lopez Quintanilla wrote:

Jürgen Fischer wrote:

Are you using the "use estimated metadata" setting?

"estimatedMetadata" = False

Then enable it and check again.  You should see better performance - esp. if you're using large datasets.

Done, but the performance is the same that before

We install DbgView.

You can see the log and the project QGIS

#10 - 2018-08-28 05:30 PM - Jürgen Fischer

Carlos Lopez Quintanilla wrote:

Done, but the performance is the same that before

That applies to newly loaded layers.  The layer in your attached project don't use it yet.

#11 - 2018-08-29 11:30 AM - Giovanni Manghi
- Category changed from GUI to Data Provider/Oracle

- Status changed from Open to Feedback

- Regression? changed from No to Yes

Carlos Lopez Quintanilla wrote:

We don't have any log, because not crash, it spends a lot of time, but not crash!

Once layer are in canvas, the behavior is correct.

I think Regis meant to have a look to logs/queries on the server side.

#12 - 2018-09-03 01:25 PM - Carlos Lopez Quintanilla

- File parameters_conection_Oracle_eng.png added

Carlos Lopez Quintanilla wrote:

We have QGIS 2.18 with several maps with connection to Oracle, in Barcelona's town hall.

The connection is fine, and the time to load a layer typical is a few seconds.

But, We're testing to implementing QGIS 3.2, but the connection to Oracle is so slow.

The time to load the same layer is 45 minutes, it's not acceptable for users.

we have a standalone application developed in python, using api from QGIS 3.2, in this case the connection is very fine.

So, we think that the problem is the GUI of QGIS 3.x, it spends a lot of time to load one layer.

We have a computer to test here in town hall, if assigned person need to test or have questions no doubts to contact with us.

We will facilitate remote access, if necessary

Carlos López Quintanilla: carlos.lopez@psig.es

Xavier Llinares: jllinares@bcn.cat

We have solved the problem by changing the connection parameters.

We believe that it was necessary to leave or warn that for large tables better to use these parameters.

Attached image with the selected parameters.

#13 - 2018-09-03 02:47 PM - Giovanni Manghi

We believe that it was necessary to leave or warn that for large tables better to use these parameters.

closing and adding a feature request?
#14 - 2018-09-03 04:33 PM - Carlos Lopez Quintanilla

Giovanni Manghi wrote:

We believe that it was necessary to leave or warn that for large tables better to use these parameters.

closing and adding a feature request?

Yes!!!

#15 - 2018-09-03 05:03 PM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Feedback to Closed

Files

DebugView.LOG 7.38 KB 2018-08-28 Carlos Lopez Quintanilla

URBANISME_QCOLOR (Oracle PROD).qgs 742 KB 2018-08-28 Carlos Lopez Quintanilla

parameters_conection_Oracle_eng.png 28.1 KB 2018-09-03 Carlos Lopez Quintanilla
